%define name emesene
%define version 1.6.3
%define release %mkrel 2

Summary: OS independent MSN Messenger client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/emesene/%{name}-%{version}.tar.gz
Patch: emesene-1.5-desktopentry.patch
License: GPLv2+ and LGPLv2+
Group: Networking/Instant messaging
Url: http://emesene-msn.blogspot.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
Requires: python
Requires: pygtk2.0
Requires: dbus-python
# gw for aplay
Requires: alsa-utils
# gw for egg.trayicon
Requires: gnome-python-extras
#gw spell checker:
Suggests: gnome-python-gtkspell
#gw for wink animations:
Suggests: cabextract gnash
Suggests: python-notify

%description
Emesene is an OS independent MSN Messenger client writed in python and
GTK. The main idea is to make a client similar to the official MSN
Messenger client but kepping it simple and with a nice GUI.

 
Emesene is a python/gtk MSN messenger clone, it uses msnlib (MSNP9)
and try to be a nice looking and simple MSN client.

You can login, send formated messages, smilies, use autoreply, change
status, change nick, send nudges and all the stuff you can do in a
normal MSN client except, file transfers,custom emoticons and display
picture.

%prep
%setup -q
%patch -p2
find -name \*~ |xargs rm -fv

%build
python setup.py build_ext -i

%install
rm -rf $RPM_BUILD_ROOT %name.lang

install -D -m 644 misc/%name.1 %buildroot%_mandir/man1/%name.1
install -D -m 644 misc/%name.png %buildroot%_datadir/icons/hicolor/48x48/apps/%name.png
install -D -m 644 misc/%name.svg %buildroot%_datadir/icons/hicolor/scalable/apps/%name.png
install -D -m 644 misc/%name.desktop %buildroot%_datadir/applications/%name.desktop

mkdir -p %buildroot%_libdir/
cp -r ../%name-%version %buildroot%_libdir/%name
cd %buildroot%_libdir/%name
rm -rf COPYING README GPL LGPL emesene.bat Winamp.py misc/%name.desktop misc/%name.1 libmimic build setup.py po/templates/ %name.pot PKG-INFO PSF debug*.list MANIFEST.in
cd po
for dir in *;do echo "%lang($dir) %_libdir/%name/po/$dir" >> $RPM_BUILD_DIR/%name-%version/%name.lang
done





mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%name << EOF
#!/bin/sh
cd %_libdir/%name
exec ./%name
EOF

%if %mdkversion < 200900
%post
%update_icon_cache hicolor
%postun
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README COPYING 
%attr(755,root,root) %_bindir/%name
%_mandir/man1/%name.1*
%_datadir/icons/hicolor/*/apps/%name.png
%dir %_libdir/%name
%doc %_libdir/%name/docs
%_libdir/%name/%name
%_libdir/%name/*.py
%_libdir/%name/*.png
%_libdir/%name/abstract
%_libdir/%name/conversation_themes
%_libdir/%name/emesenelib
%_libdir/%name/hotmlog.htm
%_libdir/%name/libmimic.so
%_libdir/%name/misc
%_libdir/%name/plugins_base
%_libdir/%name/pygif
%_libdir/%name/pyisf
%_libdir/%name/smilies
%_libdir/%name/sound_themes
%_libdir/%name/themes
%dir %_libdir/%name/po
%_datadir/applications/%name.desktop




%changelog
* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 1.6.3-2mdv2011.0
+ Revision: 593002
- rebuild for new python 2.7

* Mon Jul 19 2010 Götz Waschk <waschk@mandriva.org> 1.6.3-1mdv2011.0
+ Revision: 554910
- new version

* Thu Jun 24 2010 Luis Medinas <lmedinas@mandriva.org> 1.6.2-1mdv2010.1
+ Revision: 549087
-new version
-Fixes a few critical bugs from the last version

* Mon Apr 19 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2010.1
+ Revision: 536709
- new version
- update file list

* Thu Jan 07 2010 Götz Waschk <waschk@mandriva.org> 1.6-1mdv2010.1
+ Revision: 487046
- new version
- update file list

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 1.5.1-1mdv2010.1
+ Revision: 460839
- new version
- update file list

* Fri Aug 21 2009 Götz Waschk <waschk@mandriva.org> 1.5-4mdv2010.0
+ Revision: 418997
- replace some requirements by suggestions
- suggest gnash

* Fri Aug 21 2009 Götz Waschk <waschk@mandriva.org> 1.5-3mdv2010.0
+ Revision: 418956
- silent update of 1.5
- enable mimic support
- no more noarch
- add man page
- add icons to the default locations
- use upstream desktop entry
- many spec file fixes
- add comment about libmimic

* Fri Aug 21 2009 Götz Waschk <waschk@mandriva.org> 1.5-2mdv2010.0
+ Revision: 418882
- update deps

* Thu Aug 20 2009 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2010.0
+ Revision: 418697
- update to new version 1.5

* Tue Sep 09 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.1-3mdv2009.0
+ Revision: 283158
- doh, it already required pygtk2. can people PLEASE stop using multiple
  requires per line? it's utterly unreadable.

* Tue Sep 09 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 282890
- requires pygtk2.0 (reported on forums by Simon Rogers)

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 239334
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2009.0
+ Revision: 192406
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 0-0.20071202.1mdv2008.1
+ Revision: 114564
- new version

* Tue Aug 21 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070821.1mdv2008.0
+ Revision: 68236
- new snapshot r801

* Tue Jul 03 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070703.1mdv2008.0
+ Revision: 47631
- new version

* Thu May 24 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070523.1mdv2008.0
+ Revision: 30608
- new version


* Sat Apr 07 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070321.1mdv2007.1
+ Revision: 150939
- new snapshot

* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070315.1mdv2007.1
+ Revision: 144512
- new svn snapshot 454

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070112.1mdv2007.1
+ Revision: 107836
- Import emesene

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070112.1mdv2007.1
- initial package

